Newlines slipping into dynamic partition table layouts
Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm not sure where they slipped in, but custom partition tables are ending up with DOS style line endings.  This causes kickstart to fail

miserably, since this command:

echo foo > /tmp/diskpart.cfg

 ends up becoming:

echo foo > /tmp/diskpart.cfg\r

 which creates diskpart.cfg\r instead of diskpart.cfg. I couldn't figure out where in the path they're appearing (web browser, rails,

mysql, etc), but I did a simple patch to filter them out of the generated kickstart script.

Associated revisions

Revision 2a06208d - 06/09/2010 08:05 AM - Ohad Levy

fixes #315 - Newlines slipping into dynamic partition table layouts

History

#1 - 06/09/2010 08:18 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 2a06208d4b7770329f2cf1f3602e703e5c1cb5f5.

#2 - 06/09/2010 08:36 AM - Ohad Levy

- Category set to Web Interface

- Status changed from Ready For Testing to Closed

- Assignee set to Ohad Levy

- Target version set to 0.1-6

Files

0001-Protect-against-r-slipping-into-kickstart-pre-script.patch 785 Bytes 06/07/2010 Frank Sweetser
